<?xml version="1.0" encoding="UTF-8" ?>
  <!--
    ************************************************************************* 
    * The contents of this file are subject to the Openbravo Public License 
    * Version 1.0 (the "License"), being the Mozilla Public License 
    * Version 1.1 with a permitted attribution clause; you may not use this 
    * file except in compliance with the License. You may obtain a copy of 
    * the License at http://www.openbravo.com/legal/license.html 
    * Software distributed under the License is distributed on an "AS IS" 
    * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the 
    * License for the specific language governing rights and limitations 
    * under the License. 
    * The Original Code is Openbravo ERP. 
    * The Initial Developer of the Original Code is Openbravo SL
    * All portions are Copyright (C) 2010 Openbravo SL 
    * All Rights Reserved. 
    * Contributor(s):
    *  David Miguélez <david.miguelez@openbravo.com>.
    ************************************************************************
  -->
<project name="MultiAccountingSuite" default="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema" basedir="../../../../../../../../../../..">
  <import file="../../../../../../../../../../../build.xml" />
  
  <target name="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema"
    depends="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
    <sequential>
      <antcall target="test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries" />
      <antcall target="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_010SalesPostREC" />
      <antcall target="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_020SalesPostTRX_REC" />
      <antcall target="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_030SalesPostPAY_TRX_REC" />
      <antcall target="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_040SalesPostPAY_REC" />
      <antcall target="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_050SalesPostPAY" />
      <antcall target="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_060SalesPostPAY_TRXWriteoff" />
      <antcall target="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_070SalesPostTRX_RECWriteoff" />
      <antcall target="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_080SalesPostPAY_TRX_RECWriteoff" />
      <antcall target="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_090SalesOrderInvoicePostPAY_TRX" />
      <antcall target="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_100SalesTwoOrdersInvoicePostPAY_TRX_REC" />
      <antcall target="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_110PurchasePostPAY_TRX_REC" />
      <antcall target="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_120PurchasePostTRX_REC" />
      <antcall target="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_130PurchasePostPAY_REC" />
      <antcall target="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_140PurchasePostPAY" />
     </sequential>
  </target>
  
  <target name="test.integration.erp.testsuites.smoke.ActivateQAAdminUser">
    <antcall target="test.integration">
      <param name="testclass" value="com.openbravo.test.integration.erp.testsuites.smoke.ActivateQAAdminUser" />
    </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries">
    <antcall target="test.integration">
      <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.accounting.testsuites.ResetAllAccountingEntries" />
    </antcall>
  </target>

  <target name="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_010SalesPostREC">
    <antcall target="test.integration">
      <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_010SalesPostREC" />
    </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_020SalesPostTRX_REC">
    <antcall target="test.integration">
      <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_020SalesPostTRX_REC" />
    </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_030SalesPostPAY_TRX_REC">
    <antcall target="test.integration">
      <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_030SalesPostPAY_TRX_REC" />
    </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_040SalesPostPAY_REC">
    <antcall target="test.integration">
      <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_040SalesPostPAY_REC" />
    </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_050SalesPostPAY">
    <antcall target="test.integration">
      <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_050SalesPostPAY" />
    </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_060SalesPostPAY_TRXWriteoff">
    <antcall target="test.integration">
      <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_060SalesPostPAY_TRXWriteoff" />
    </antcall>
  </target>
  <target name="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_070SalesPostTRX_RECWriteoff">
    <antcall target="test.integration">
      <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_070SalesPostTRX_RECWriteoff" />
    </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_080SalesPostPAY_TRX_RECWriteoff">
    <antcall target="test.integration">
      <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_080SalesPostPAY_TRX_RECWriteoff" />
    </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_090SalesOrderInvoicePostPAY_TRX">
    <antcall target="test.integration">
      <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_090SalesOrderInvoicePostPAY_TRX" />
    </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_100SalesTwoOrdersInvoicePostPAY_TRX_REC">
    <antcall target="test.integration">
      <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_100SalesTwoOrdersInvoicePostPAY_TRX_REC" />
    </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_110PurchasePostPAY_TRX_REC">
    <antcall target="test.integration">
      <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_110PurchasePostPAY_TRX_REC" />
    </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_120PurchasePostTRX_REC">
    <antcall target="test.integration">
      <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_120PurchasePostTRX_REC" />
    </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_130PurchasePostPAY_REC">
    <antcall target="test.integration">
      <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_130PurchasePostPAY_REC" />
    </antcall>
  </target>
  
  <target name="test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_140PurchasePostPAY">
    <antcall target="test.integration">
      <param name="testclass" value="com.openbravo.test.integration.erp.modules.functionalteam.accounting.testsuites.FAMa_MultiaccountingSchema.FAMa_140PurchasePostPAY" />
    </antcall>
  </target>

</project>
